Commit 3fbd2f0d authored by Martin Matějek's avatar Martin Matějek

Quickfix to allow only specified severity levels in cli

It should be also checked in Api though
parent a70721e0
...@@ -46,7 +46,7 @@ def create_argparser(): ...@@ -46,7 +46,7 @@ def create_argparser():
parser_action.add_argument("--template", help="Notification type / template", default='simple') parser_action.add_argument("--template", help="Notification type / template", default='simple')
parser_action.add_argument("--persistent", help="Persistent notification", action="store_true") parser_action.add_argument("--persistent", help="Persistent notification", action="store_true")
parser_action.add_argument("--timeout", help="Timeout in minutes after which message disappear", type=int) parser_action.add_argument("--timeout", help="Timeout in minutes after which message disappear", type=int)
parser_action.add_argument("--severity", help="Severity of message") parser_action.add_argument("--severity", help="Severity of message", choices=['INFO', 'WARNING', 'ERROR', 'ANNOUNCEMENT', 'ACTION_NEEDED'])
parser_action.add_argument("--nodismiss", help="Disable explicit dismiss of message", action="store_false") parser_action.add_argument("--nodismiss", help="Disable explicit dismiss of message", action="store_false")
parser_action.add_argument("--default-action", help="Set action which will be used as 'default'") parser_action.add_argument("--default-action", help="Set action which will be used as 'default'")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment